## org.springframework.expression.spel.ast
Class Identifier

    java.lang.Object
      org.springframework.expression.spel.ast.SpelNodeImpl
          org.springframework.expression.spel.ast.Identifier

All Implemented Interfaces:
  SpelNode

    public class Identifier

extends SpelNodeImpl

Since:
  3.0
Author:
  Andy Clement

Field Summary

Fields inherited from class org.springframework.expression.spel.ast.SpelNodeImpl
`children, pos`

Constructor Summary
`Identifier(String payload, int pos)`

Method Summary
`TypedValue` `getValueInternal(ExpressionState state)`
`String` `toStringAST()`

Methods inherited from class org.springframework.expression.spel.ast.SpelNodeImpl
`getChild, getChildCount, getEndPosition, getObjectClass, getPreviousChild, getStartPosition, getTypedValue, getValue, getValue, isWritable, nextChildIs, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Identifier

    public Identifier(String payload,
                      int pos)

Method Detail

### toStringAST

    public String toStringAST()

  Specified by:
    `toStringAST` in interface `SpelNode`
  Specified by:
    `toStringAST` in class `SpelNodeImpl`
  Returns:
    the string form of this AST node

### getValueInternal

    public TypedValue getValueInternal(ExpressionState state)

  Specified by:
    `getValueInternal` in class `SpelNodeImpl`